---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libHeapMonitorTest.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0xA10, symSize: 0x10 }
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x22900, symBinAddr: 0x4058, symSize: 0x0 }
  - { offsetInCU: 0x8CB0, offset: 0x8CB0, size: 0x8, addend: 0x0, symName: __ZL12thread_stats, symObjAddr: 0x22908, symBinAddr: 0x4060, symSize: 0x0 }
  - { offsetInCU: 0x8D24, offset: 0x8D24, size: 0x8, addend: 0x0, symName: __ZL20global_event_storage, symObjAddr: 0x24080, symBinAddr: 0x57D8, symSize: 0x0 }
  - { offsetInCU: 0x8E43, offset: 0x8E43, size: 0x8, addend: 0x0, symName: __ZL27second_global_event_storage, symObjAddr: 0x240C0, symBinAddr: 0x5818, symSize: 0x0 }
  - { offsetInCU: 0x8E5C, offset: 0x8E5C, size: 0x8, addend: 0x0, symName: __ZL12second_jvmti, symObjAddr: 0x24100, symBinAddr: 0x5858, symSize: 0x0 }
  - { offsetInCU: 0x8E76, offset: 0x8E76, size: 0x8, addend: 0x0, symName: __ZL27did_recursive_callback_test, symObjAddr: 0x24108, symBinAddr: 0x5860, symSize: 0x0 }
  - { offsetInCU: 0x8ED4, offset: 0x8ED4, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0xA10, symSize: 0x10 }
  - { offsetInCU: 0x8F2E, offset: 0x8F2E, size: 0x8, addend: 0x0, symName: __ZL16Agent_InitializeP7JavaVM_PcPv, symObjAddr: 0x10, symBinAddr: 0xA20, symSize: 0x290 }
  - { offsetInCU: 0x94BF, offset: 0x94BF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x2A0, symBinAddr: 0xCB0, symSize: 0x10 }
  - { offsetInCU: 0x9519, offset: 0x9519, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x2B0, symBinAddr: 0xCC0, symSize: 0x10 }
  - { offsetInCU: 0x957C, offset: 0x957C, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorThreadDisabledTest_checkThreadSamplesOnlyFrom, symObjAddr: 0x2C0, symBinAddr: 0xCD0, symSize: 0xD0 }
  - { offsetInCU: 0x9683, offset: 0x9683, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorThreadDisabledTest_enableSamplingEvents, symObjAddr: 0x390, symBinAddr: 0xDA0, symSize: 0x70 }
  - { offsetInCU: 0x98CD, offset: 0x98CD, size: 0x8, addend: 0x0, symName: _SampledObjectAlloc, symObjAddr: 0x400, symBinAddr: 0xE10, symSize: 0x2C0 }
  - { offsetInCU: 0x9CCE, offset: 0x9CCE, size: 0x8, addend: 0x0, symName: __ZL17event_storage_addP13_EventStorageP7JNIEnv_P8_jobjectS4_P7_jclassl, symObjAddr: 0x6C0, symBinAddr: 0x10D0, symSize: 0x1D0 }
  - { offsetInCU: 0xA073, offset: 0xA073, size: 0x8, addend: 0x0, symName: _VMObjectAlloc, symObjAddr: 0x890, symBinAddr: 0x12A0, symSize: 0x20 }
  - { offsetInCU: 0xA11E, offset: 0xA11E, size: 0x8, addend: 0x0, symName: _GarbageCollectionFinish, symObjAddr: 0x8B0, symBinAddr: 0x12C0, symSize: 0x40 }
  - { offsetInCU: 0xA1FF, offset: 0xA1FF, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_setSamplingInterval, symObjAddr: 0x8F0, symBinAddr: 0x1300, symSize: 0x20 }
  - { offsetInCU: 0xA2A5, offset: 0xA2A5, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_eventStorageIsEmpty, symObjAddr: 0x910, symBinAddr: 0x1320, symSize: 0x50 }
  - { offsetInCU: 0xA366, offset: 0xA366, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_getEventStorageElementCount, symObjAddr: 0x960, symBinAddr: 0x1370, symSize: 0x50 }
  - { offsetInCU: 0xA459, offset: 0xA459, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_enableSamplingEvents, symObjAddr: 0x9B0, symBinAddr: 0x13C0, symSize: 0x60 }
  - { offsetInCU: 0xA576, offset: 0xA576, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_disableSamplingEvents, symObjAddr: 0xA10, symBinAddr: 0x1420, symSize: 0x70 }
  - { offsetInCU: 0xA709, offset: 0xA709, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_obtainedEvents, symObjAddr: 0xA80, symBinAddr: 0x1490, symSize: 0xE0 }
  - { offsetInCU: 0xA8B7, offset: 0xA8B7, size: 0x8, addend: 0x0, symName: __ZL17get_native_framesP7JNIEnv_P7_jclassP13_jobjectArray, symObjAddr: 0xB60, symBinAddr: 0x1570, symSize: 0x420 }
  - { offsetInCU: 0xB0AA, offset: 0xB0AA, size: 0x8, addend: 0x0, symName: __ZL20check_sample_contentP7JNIEnv_P12_ObjectTraceP21_ExpectedContentFramemhi, symObjAddr: 0x1980, symBinAddr: 0x2390, symSize: 0x230 }
  - { offsetInCU: 0xB586, offset: 0xB586, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_garbageContains, symObjAddr: 0xF80, symBinAddr: 0x1990, symSize: 0xF0 }
  - { offsetInCU: 0xB7AA, offset: 0xB7AA, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_getSize, symObjAddr: 0x1070, symBinAddr: 0x1A80, symSize: 0xF0 }
  - { offsetInCU: 0xB97D, offset: 0xB97D, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_forceGarbageCollection, symObjAddr: 0x1160, symBinAddr: 0x1B70, symSize: 0x40 }
  - { offsetInCU: 0xB9FB, offset: 0xB9FB, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_resetEventStorage, symObjAddr: 0x11A0, symBinAddr: 0x1BB0, symSize: 0x20 }
  - { offsetInCU: 0xBA4C, offset: 0xBA4C, size: 0x8, addend: 0x0, symName: __ZL19event_storage_resetP13_EventStorage, symObjAddr: 0x11C0, symBinAddr: 0x1BD0, symSize: 0xE0 }
  - { offsetInCU: 0xBBE9, offset: 0xBBE9, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorNoCapabilityTest_allSamplingMethodsFail, symObjAddr: 0x12A0, symBinAddr: 0x1CB0, symSize: 0xB0 }
  - { offsetInCU: 0xBCE2, offset: 0xBCE2, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorIllegalArgumentTest_testIllegalArgument, symObjAddr: 0x1350, symBinAddr: 0x1D60, symSize: 0xE0 }
  - { offsetInCU: 0xBEB6, offset: 0xBEB6, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_getAverageSize, symObjAddr: 0x1430, symBinAddr: 0x1E40, symSize: 0x110 }
  - { offsetInCU: 0xBFC4, offset: 0xBFC4, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorThreadTest_checkSamples, symObjAddr: 0x1540, symBinAddr: 0x1F50, symSize: 0xD0 }
  - { offsetInCU: 0xC0B6, offset: 0xC0B6, size: 0x8, addend: 0x0, symName: _SampledObjectAlloc2, symObjAddr: 0x1610, symBinAddr: 0x2020, symSize: 0x10 }
  - { offsetInCU: 0xC115, offset: 0xC115, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorTwoAgentsTest_enablingSamplingInSecondaryAgent, symObjAddr: 0x1620, symBinAddr: 0x2030, symSize: 0xB0 }
  - { offsetInCU: 0xC228, offset: 0xC228, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_enableVMEvents, symObjAddr: 0x16D0, symBinAddr: 0x20E0, symSize: 0x40 }
  - { offsetInCU: 0xC2F3, offset: 0xC2F3, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorVMEventsTest_vmEvents, symObjAddr: 0x1710, symBinAddr: 0x2120, symSize: 0x50 }
  - { offsetInCU: 0xC3D5, offset: 0xC3D5, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitor_sampledEvents, symObjAddr: 0x1760, symBinAddr: 0x2170, symSize: 0x50 }
  - { offsetInCU: 0xC551, offset: 0xC551, size: 0x8, addend: 0x0, symName: _RecursiveSampledObjectAlloc, symObjAddr: 0x17B0, symBinAddr: 0x21C0, symSize: 0x130 }
  - { offsetInCU: 0xC7D9, offset: 0xC7D9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x1BB0, symBinAddr: 0x25C0, symSize: 0xA4 }
  - { offsetInCU: 0xC850, offset: 0xC850, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorRecursiveTest_didCallback, symObjAddr: 0x18E0, symBinAddr: 0x22F0, symSize: 0x10 }
  - { offsetInCU: 0xC887, offset: 0xC887, size: 0x8, addend: 0x0, symName: _Java_MyPackage_HeapMonitorRecursiveTest_setCallbackToCallAllocateSomeMore, symObjAddr: 0x18F0, symBinAddr: 0x2300, symSize: 0x90 }
...
